using System.Net.Mime;
using UnityEngine;
using UnityEngine.UI;

namespace Nan.Scripts
{
    public class ResultScorePresenter : MonoBehaviour
    {
        [SerializeField] private Text _uiText;

        private string startText;

        public void Start()
        {
            startText = _uiText.text;
        }

        public void Update()
        {
            _uiText.text = startText.Replace("{score}", ScoreManager.Instance.CurrentScore.ToString());
        }
    }
}